summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorPetteri Aimonen <jpa@git.mail.kapsi.fi>2013-11-17 17:37:29 +0200
committerPetteri Aimonen <jpa@git.mail.kapsi.fi>2013-12-29 20:26:57 +0200
commitec517e2108f4e7cc31cffc4fdc2a11cebfabfc66 (patch)
tree4897e15428391874fad037c9079295ecb797101c /tools
parent8c2dda67a100237bc6cdb3b814012079be2b3534 (diff)
Add build script for windows package
Diffstat (limited to 'tools')
-rw-r--r--tools/make_windows_package.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/tools/make_windows_package.sh b/tools/make_windows_package.sh
new file mode 100644
index 00000000..c3a050a9
--- /dev/null
+++ b/tools/make_windows_package.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# Run this script in the top nanopb directory to create a binary package
+# for Windows users. This script is designed to run under MingW/MSYS bash
+
+set -e
+set -x
+
+VERSION=`git describe --always`
+DEST=dist/$VERSION
+
+rm -rf $DEST
+mkdir -p $DEST
+
+# Export the files from newest commit
+git archive HEAD | tar x -C $DEST
+
+# Rebuild the Python .proto files
+make -BC $DEST/generator/proto
+
+# Make the nanopb generator available as a protoc plugin
+cp $DEST/generator/nanopb_generator.py $DEST/generator/protoc-gen-nanopb.py
+
+# Package the Python libraries
+( cd $DEST/generator; bbfreeze nanopb_generator.py protoc-gen-nanopb.py )
+mv $DEST/generator/dist $DEST/generator-bin
+
+# Remove temp file
+rm $DEST/generator/protoc-gen-nanopb.py
+
+# Package the protoc compiler
+cp `which protoc`.exe $DEST/generator-bin/
+